variables:
  TAG_LATEST: $CI_REGISTRY_IMAGE/$CI_COMMIT_REF_NAME:latest
  TAG_COMMIT: $CI_REGISTRY_IMAGE/$CI_COMMIT_REF_NAME:$CI_COMMIT_SHORT_SHA

stages:
  - build
  - backup
  - deploy
  - test

build-job1:
  stage: build
  allow_failure: true
  script:
    - ls -la
    - pwd
    - chmod og= $ID_RSA
    - apk update && apk add openssh-client
    - ssh -i $ID_RSA -o StrictHostKeyChecking=no $SERVER_USER@$SERVER_IP "docker stop $DOCKER ; docker rm $DOCKER ; cd /root ; rm -r gitlab-nexus/ ; pwd"
    - ssh -i $ID_RSA -o StrictHostKeyChecking=no $SERVER_USER@$SERVER_IP "pwd && git clone https://gitlab.com/nrr.rus/gitlab-nexus.git"
    - ssh -i $ID_RSA -o StrictHostKeyChecking=no $SERVER_USER@$SERVER_IP "pwd"
    - ssh -i $ID_RSA -o StrictHostKeyChecking=no $SERVER_USER@$SERVER_IP "cd ./gitlab-nexus && pwd && docker build -t 46.151.25.150:8082/nginx-build ."

backup-job1:
  stage: backup
  script:
    - chmod og= $ID_RSA
    - apk update && apk add openssh-client
    - ssh -i $ID_RSA -o StrictHostKeyChecking=no $SERVER_USER@$SERVER_IP "cd ./gitlab-nexus && echo $NEXUS_PASSWORD > password.txt && cat password.txt | docker login 46.151.25.150:8082 --username admin --password-stdin && sudo docker push 46.151.25.150:8082/nginx-build:latest"
    - ssh -i $ID_RSA -o StrictHostKeyChecking=no $SERVER_USER@$SERVER_IP "cd /root && rm -r gitlab-nexus/"

deploy-job1:
  stage: deploy
  script:
    - chmod og= $ID_RSA2
    - apk update && apk add openssh-client
    - ssh -i $ID_RSA2 -o StrictHostKeyChecking=no $SERVER_USER@$SERVER_IP2 "docker stop $DOCKER && docker rm $DOCKER && docker rmi $IMAGES"
    - ssh -i $ID_RSA2 -o StrictHostKeyChecking=no $SERVER_USER@$SERVER_IP2 "docker run --name nginx-server -d -p 9999:80 46.151.25.150:8082/nginx-build"

test-job1:
  stage: test
  script:
    - apt install curl
  #  - curl -I http://178.20.45.186:9999/ | grep "200 OK"
    - curl -I http://178.20.41.140:9999/ | grep "200 OK"


